Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Class Graph.GraphQueryContext

    java.lang.Object
      org.modeshape.graph.query.QueryContext
          org.modeshape.graph.Graph.GraphQueryContext

Enclosing class:
  Graph

    protected class Graph.GraphQueryContext

extends QueryContext

Constructor Summary
`protected` | `Graph.GraphQueryContext(ExecutionContext context, Schemata schemata, TypeSystem typeSystem, PlanHints hints, Problems problems, Map<String,Object> variables, Graph.Batch batch)`

Method Summary
`Graph.Batch` | `getBatch()` Get the `Graph.Batch` that is being used to execute these queries

Methods inherited from class org.modeshape.graph.query.QueryContext
`equals, getExecutionContext, getHints, getProblems, getSchemata, getTypeSystem, getVariables, with, with, with, with, with`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Graph.GraphQueryContext

    protected Graph.GraphQueryContext(ExecutionContext context,
                                      Schemata schemata,
                                      TypeSystem typeSystem,
                                      PlanHints hints,
                                      Problems problems,
                                      Map<String,Object> variables,
                                      Graph.Batch batch)

Method Detail

### getBatch

    public Graph.Batch getBatch()

  Get the `Graph.Batch` that is being used to execute these queries

  Returns:
    the batch; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.